Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452833 - Omit backtrace as a "verbose output", it looks scary
Summary: Omit backtrace as a "verbose output", it looks scary
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date
Version: 4.7
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Sayli Karmarkar
QA Contact: Fanny Augustin
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-25 12:10 UTC by Michal Nowak
Modified: 2013-03-08 02:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-18 20:14:04 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0972 normal SHIPPED_LIVE up2date bug fix update 2009-05-18 13:42:03 UTC

Description Michal Nowak 2008-06-25 12:10:09 UTC
Description of problem:

Tried to install package sos from non existing channel. The error message might
be more informative, like: "Provided channel is not valid." or "Package sos was
not found in channel 'sdsd'. List of channels can be received via up2date -l"


[root@xen65 ~]# up2date --channel=sdsd sos
An error has occurred:
This system may not be updated until it is associated with a channel.
See /var/log/up2date for more information

Please omit using backtrace in log when not necessary, simpler debug info with
more verbose information, would fit better.

[Wed Jun 25 14:00:15 2008] up2date This system may not be updated until it is
associated with a channel.
[Wed Jun 25 14:00:15 2008] up2date   File "/usr/sbin/up2date", line 1312, in ?
    sys.exit(main() or 0)
   File "/usr/sbin/up2date", line 592, in main
    rhnChannel.setChannels(tempchannels)
   File "/usr/share/rhn/up2date_client/rhnChannel.py", line 286, in setChannels
    return getChannels(label_whitelist=whitelist)
   File "/usr/share/rhn/up2date_client/rhnChannel.py", line 184, in getChannels
    raise up2dateErrors.NoChannelsError(_("This system may not be updated until
it is associated with a channel."))


Version-Release number of selected component (if applicable):

4.7.1-17.el4

How reproducible: always

Comment 1 Jan Hutař 2008-09-25 12:04:49 UTC
Hello,
not sure if we want to omit the back-trace in the log (good for debugging), but definitely nicer error message would be useful.

# up2date --channel=sdsd sos
An error has occurred:
This system can not access this channel(s). Is it correctly registered in it?
See /var/log/up2date for more information

Comment 3 Jan Hutař 2008-10-08 13:18:45 UTC
Hello,
please could you comment on comment #1?

Comment 9 errata-xmlrpc 2009-05-18 20:14:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0972.html


Note You need to log in before you can comment on or make changes to this bug.